Bug 850022 - Introduce new systemd-rpm macros in aiccu spec file
Introduce new systemd-rpm macros in aiccu spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aiccu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:23 EDT by Lukáš Nykrýn
Modified: 2014-01-06 11:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 11:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.25 KB, patch)
2012-08-22 08:47 EDT, Václav Pavlín
no flags Details | Diff
Patch adds systemd macros with condition for F18 and RHEL7 (1.93 KB, patch)
2012-08-27 10:02 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:23:40 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-08-22 08:47:01 EDT
Created attachment 606246 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Conrad Meyer 2012-08-25 16:08:49 EDT
I think it makes sense to wait until these macros are available in all supported Fedora versions before including them in the spec. Reopen when that's the case.
Comment 3 Václav Pavlín 2012-08-27 10:02:07 EDT
Created attachment 607211 [details]
Patch adds systemd macros with condition for F18 and RHEL7

I understand your point of view. But would you agree with the solution in this patch? When macros will be backported to older version of Fedora, conditions can be removed.
Comment 4 Conrad Meyer 2012-08-27 12:03:25 EDT
Yes, this looks fine.
Comment 5 Fedora Admin XMLRPC Client 2013-02-23 12:08:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-12-21 10:04:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Pavel Šimerda (pavlix) 2014-01-06 11:11:19 EST
No need to dig into released versions.

Note You need to log in before you can comment on or make changes to this bug.